%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Ulike statistiske variabler
a= [1 2 3 4 5 6 7 8 9]
mean(a)		% gjennomsnitt
median(a)	% median: midterste verdi
mode(a)		% typetall: den verdi det er flest av 
length(a)	% antall
min(a)		% minimum
max(a)		% maksimum
std(a)		% standardavvik
var(a)		% varians
skewness(a)	% spredning
kurtosis(a)	% spisshet


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Egenskapsutrekning

% Trekk ut statistiske egenskaper fra en hel mappe med lydfiler
f = mirfeatures('Folder','Stat')

% Se p? en av de beregnete verdiene
f.rhythm.tempo.Mean

% Hvis du ?nsker ? se verdiene i en kolonne
f.rhythm.tempo.Mean'

% Kan beregne gjennomsnitt og standardavvik av gjennomsnittstempoet for alle filene
mean(f.rhythm.tempo.Mean)
std(f.rhythm.tempo.Mean)

% Hvor stor er forskjellen mellom den langsomste og raskeste filen
max(f.rhythm.tempo.Mean) - min(f.rhythm.tempo.Mean)


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Plots

% Et boxplot gir informasjon om alle filene
boxplot(f.rhythm.tempo.Mean)

% Enkelt plot av alle verdiene
plot(f.rhythm.tempo.Mean)

% Histogram av alle verdiene
hist(f.rhythm.tempo.Mean)

% Lager et plot med liggende grafer som kan eksporteres
barh(f.rhythm.tempo.Mean)
axis tight;
grid on;
title('Tempo av mine lyder')
xlabel('BPM')
set(gca,'ytick',1:length(f.rhythm.tempo.Mean))
set(gca,'yticklabel', f.FileNames)


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Eksporter data, som kan hentes inn i OpenOffice eller Excel
mirexport('minelyder.txt',f)